Loading...
Searching...
No Matches
BALL::VIEW::CalculateFDPBThread Class Reference

`#include <BALL/VIEW/KERNEL/threads.h>`

Inheritance diagram for BALL::VIEW::CalculateFDPBThread:

## Public Member Functions

| CalculateFDPBThread ()
virtual void | run ()
void | setFDPBDialog (FDPBDialog *dialog)
Public Member Functions inherited from BALL::VIEW::BALLThread
| BALLThread ()
void | setMainControl (MainControl *mf)
void | setComposite (Composite *composite)
Composite * | getComposite ()

## Protected Attributes

FDPBDialog * | dialog_
Protected Attributes inherited from BALL::VIEW::BALLThread
MainControl * | main_control_
Composite * | composite_

## Additional Inherited Members

Protected Member Functions inherited from BALL::VIEW::BALLThread
void | sendMessage_ (Message *msg)
void | updateStructure_ ()
void | output_ (const String &string, bool important=false)
| Sends the string as outout to Log.info.
void | waitForUpdateOfRepresentations_ ()

## Detailed Description

Definition at line 120 of file threads.h.

## Constructor & Destructor Documentation

## CalculateFDPBThread()

BALL::VIEW::CalculateFDPBThread::CalculateFDPBThread | ( |  | ) |

## Member Function Documentation

## run()

virtual void BALL::VIEW::CalculateFDPBThread::run | ( |  | ) |

virtual

Overloaded from QThread::run(), overload again in derived classes!

Reimplemented from BALL::VIEW::BALLThread.

## setFDPBDialog()

void BALL::VIEW::CalculateFDPBThread::setFDPBDialog | ( | FDPBDialog * | dialog | ) |

inline

Definition at line 132 of file threads.h.

## Member Data Documentation

## dialog_

FDPBDialog* BALL::VIEW::CalculateFDPBThread::dialog_

protected

Definition at line 135 of file threads.h.